org.apache.cassandra.streaming.management

## Class StreamStateCompositeData

- java.lang.Object
- - org.apache.cassandra.streaming.management.StreamStateCompositeData

    public class StreamStateCompositeData
    extends java.lang.Object

### Field Summary

Fields
`static javax.management.openmbean.CompositeType` `COMPOSITE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`StreamStateCompositeData()`

### Method Summary

All Methods Static Methods Concrete Methods
`static StreamState` `fromCompositeData(javax.management.openmbean.CompositeData cd)`
`static javax.management.openmbean.CompositeData` `toCompositeData(StreamState streamState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMPOSITE_TYPE

    public static final javax.management.openmbean.CompositeType COMPOSITE_TYPE

### Constructor Detail

#### StreamStateCompositeData

    public StreamStateCompositeData()

### Method Detail

#### toCompositeData

    public static javax.management.openmbean.CompositeData toCompositeData(StreamState streamState)

#### fromCompositeData

    public static StreamState fromCompositeData(javax.management.openmbean.CompositeData cd)